#!/usr/bin/env python
import matplotlib.pyplot as plt
import numpy as np
from libhreels import calcHREELS

###### Define Strontium titanate film on Silver ####
## (Thickness is given in Angstroem as second parm)#
thinFilm = [[calcHREELS.importMaterials('STO'),200.],
    [calcHREELS.importMaterials('Ag'),1000.]]

d = calcHREELS.lambin(thinFilm)
x = np.linspace(-100,1000,1100)
x,y = d.calcHREELS(x)

###### Plotting ###########################
plt.plot(x,y, label=calcHREELS.importMaterials('STO')['reference'])

plt.ylabel('Relative HREELS signal')
plt.xlabel('Energy Loss (cm$^{-1}$)')
plt.title(r'SrTiO$_3$')
plt.ylim(bottom=0.)
plt.legend()
plt.show()